#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           yakuake
Version: 24.12.2
Release:        %mkrel %{rel}
Summary:        Very powerful Quake style Konsole
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://apps.kde.org/yakuake/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(KWayland)

Requires:       konsole

%description
Yakuake is a Quake-style terminal emulator based on KDE Konsole technology.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/dbus-1/services/org.kde.%{name}.service
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/knsrcfiles/%{name}.knsrc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147298
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136696
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123941
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116493
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114188
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105691
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097552
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087744
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085240
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073360
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2070012
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058753
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045290
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037789
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033911
- New version 24.01.90

* Wed Jan 03 2024 daviddavid <daviddavid> 24.01.85-2.mga10
+ Revision: 2026611
- update kwayland dependency

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025288
- New version 24.01.85

* Sat Nov 18 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2007632
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989727
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958303
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946615
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941908
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923030
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911524
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905375
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886898
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880877
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873190
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854080
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849587
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763972
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1760065
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724183
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718464
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698672
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694198
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656185
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644103
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633922
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627161
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615304
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604226
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596963
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584973
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568240
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559430
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1541059
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513405
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 19.12.0-2.mga8
+ Revision: 1468874
- enable KF5Wayland support

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467063
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458008
- New version 19.08.3

* Sun Sep 29 2019 daviddavid <daviddavid> 19.08.1-1.mga8
+ Revision: 1448031
- New version 19.08.1 (says hello in kde apps stack)

* Tue Apr 02 2019 umeabot <umeabot> 3.0.5-3.mga7
+ Revision: 1385311
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0.5-2.mga7
+ Revision: 1302014
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 daviddavid <daviddavid> 3.0.5-1.mga7
+ Revision: 1213758
- new version: 3.0.5

* Fri Apr 07 2017 akien <akien> 3.0.4-1.mga6
+ Revision: 1096063
- Version 3.0.4

* Sun Apr 02 2017 akien <akien> 3.0.3-1.mga6
+ Revision: 1095674
- Version 3.0.3

* Thu Mar 03 2016 akien <akien> 3.0.2-1.mga6
+ Revision: 985065
- Version 3.0.2

* Wed Mar 02 2016 akien <akien> 3.0.0-0.git20160301.1.mga6
+ Revision: 983429
- New snapshot, fixes bko#336228

* Sun Jan 17 2016 akien <akien> 3.0.0-0.git20160116.1.mga6
+ Revision: 924790
- New snapshot

* Wed Aug 12 2015 neoclust <neoclust> 3.0.0-0.git20150801.2.mga6
+ Revision: 864099
- Rebuild against new KF5

* Sun Jul 26 2015 neoclust <neoclust> 3.0.0-0.git20150801.1.mga6
+ Revision: 857819
- Add snapshot for kf5 version

* Wed Oct 15 2014 umeabot <umeabot> 2.9.9-5.mga5
+ Revision: 741201
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.9-4.mga5
+ Revision: 690820
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9.9-3.mga4
+ Revision: 520889
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.9.9-2.mga3
+ Revision: 387543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 2.9.9-1.mga3
+ Revision: 308119
- update file list
- new version 2.9.9

* Tue Feb 15 2011 mikala <mikala> 2.9.8-1.mga1
+ Revision: 51818
- Remove BuildRoot
- imported package yakuake


* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 2.9.8-1mdv2011.0
+ Revision: 633559
- new version 2.9.8

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 2.9.7-1mdv2011.0
+ Revision: 554486
- update to new version 2.9.7

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file
    - Remove old macro

* Tue May 19 2009 Funda Wang <fwang@mandriva.org> 2.9.6-1mdv2010.0
+ Revision: 377593
- New version 2.9.6

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 2.9.5-1mdv2010.0
+ Revision: 374112
- New version 2.9.5

* Thu Sep 04 2008 Frederik Himpe <fhimpe@mandriva.org> 2.9.4-1mdv2009.0
+ Revision: 280880
- Update to new version 2.9.4

* Fri Jul 04 2008 Funda Wang <fwang@mandriva.org> 2.9.3-3mdv2009.0
+ Revision: 231541
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 2.9.3-2mdv2009.0
+ Revision: 216396
- compile using undefined
- New version 2.9.3

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix provides // Obsoletes
    - Rename spec file and fix spec file
    - Use kde4 app by default

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 2.9.2-1mdv2009.0
+ Revision: 196906
- New version 2.9.2

* Tue Apr 15 2008 Funda Wang <fwang@mandriva.org> 2.9.1-1mdv2009.0
+ Revision: 193699
- New version 2.9.1

* Sun Mar 02 2008 Funda Wang <fwang@mandriva.org> 2.9-1mdv2008.1
+ Revision: 177533
- New version 2.9

* Fri Feb 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.9-0.beta1.2mdv2008.1
+ Revision: 164306
- Add Require for kde4-konsole ( rapsys )
  Fix attr ( rapsys )
  Change spec file to kde policy

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 2.9-0.beta1.1mdv2008.1
+ Revision: 155239
- fix file list
- Import SOURCE and SPEC
- Created package structure for kde4-yakuake.



* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 2.7.5-1mdk
- 2.7.5

* Sat Oct 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.7.3-1mdk
- 2.7.3

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6-2mdk
- fix file permissions and icons

* Sun Oct 09 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6-1mdk
- from Vicente Olivert <peratu@gmail.com>
  - first mdk release
